# IP Pools

IP Pools allow you to group your dedicated IPs into customized "pools" to help manage your sending reputation for different mail sending streams.

 - [DELETE /v3/domains/{name}/ips/{ip}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/delete-v3-domains--name--ips--ip-.md): The behavior of the endpoint depends on the value of the `ip` parameter. It can be one of the following: * a valid IP address: this IP address will be removed from the domain pool. * string `all`: the
 - [DELETE /v3/domains/{name}/pool/{ip}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/delete-v3-domains--name--pool--ip-.md): The behavior of the endpoint depends on the value of the `ip` parameter. It can be one of the following: * a valid IP address: this IP address will be removed from the domain pool. * string `all`: the
 - [GET /v3/ip_pools](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/get-v3-ip-pools.md): #### Description Lists all dedicated IP pools of the account. For each pool returns its basic properties (name, description, the list of IPs) and indicates whether the pool is linked to any domains an
 - [POST /v3/ip_pools](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/post-v3-ip-pools.md): The account must have 'DIPPs' feature enabled. Returns the id of the newly created DIPP.
 - [GET /v3/ip_pools/{pool_id}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/get-v3-ip-pools--pool-id-.md): `is_linked` in the response indicates whether the DIPP is currently linked to any domains. If it's `true`, `linked_domain` lists those domains.
 - [DELETE /v3/ip_pools/{pool_id}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/delete-v3-ip-pools--pool-id-.md): The `DIPPs` feature must be enabled for the account. It is not allowed to delete a DIPP inherited from the parent account. If the DIPP is delegated to subaccounts, those will also be updated. If the r
 - [PATCH /v3/ip_pools/{pool_id}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/patch-v3-ip-pools--pool-id-.md): The account must have 'DIPPs' feature enabled. It's not allowed to edit a DIPP inherited from the parent account. IPs being added to the DIPP must be dedicated ones and belong to the account. If IP
 - [GET /v3/ip_pools/{pool_id}/domains](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/get-v3-ip-pools--pool-id--domains.md): Returns a paginated list of domains that are linked to the specified dedicated IP pool.
 - [PUT /v3/ip_pools/{pool_id}/ips/{ip}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/put-v3-ip-pools--pool-id--ips--ip-.md): The account must have 'DIPPs' feature enabled. It is not allowed to modify a DIPP inherited from the parent account. The IP must be a dedicated one, belong to the account and not belong to any other
 - [DELETE /v3/ip_pools/{pool_id}/ips/{ip}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/delete-v3-ip-pools--pool-id--ips--ip-.md): The account must have 'DIPPs' feature enabled. It's not allowed to edit a DIPP inherited from the parent account. If the DIPP is linked to domains, the domains will be updated asynchronously (after
 - [POST /v3/ip_pools/{pool_id}/ips.json](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/post-v3-ip-pools--pool-id--ips-json.md): The account must have 'DIPPs' feature enabled. It is not allowed to modify a DIPP inherited from the parent account. All IPs must be dedicated ones, belong to the account and not belong to any other
 - [PUT /v3/ip_pools/{pool_id}/delegate](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/put-v3-ip-pools--pool-id--delegate.md): Delegates a dedicated IP pool (DIPP) from the parent account to a specified subaccount. Unlike legacy endpoints, this supports accounts with multiple delegated DIPPs. Request parameters are encoded a
 - [DELETE /v3/ip_pools/{pool_id}/delegate](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/ip-pools/delete-v3-ip-pools--pool-id--delegate.md): Revokes delegation of a dedicated IP pool (DIPP) from a specified subaccount. The DIPP will no longer be available to the subaccount. Unlike legacy endpoints, this supports accounts with multiple dele
